<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bus Pass Form</title>
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
        .header { text-align: center; }
        .form-header { color: blue; }
        .bus-pass-header { color: darkblue; }
    </style>
    <script>
        function calculateAge() {
            var dob = new Date(document.getElementById("dob").value);
            var today = new Date();
            var age = today.getFullYear() - dob.getFullYear();
            var month = today.getMonth() - dob.getMonth();
            if (month < 0 || (month === 0 && today.getDate() < dob.getDate())) {
                age--;
            }
            if (age < 5) {
                alert("Age should be greater than 5 years as of current date.");
                document.getElementById("dob").value = '';
                document.getElementById("age").value = '';
            } else {
                document.getElementById("age").value = age;
            }
        }

        function validateForm() {
            var requiredFields = document.querySelectorAll("[required]");
            var valid = true;
            requiredFields.forEach(function(field) {
                if (!field.value) {
                    alert(field.name + " is required");
                    valid = false;
                }
            });
            return valid;
        }

        function calculateToDate() {
            var fromDate = new Date(document.getElementById("fromDate").value);
            var months = parseInt(document.getElementById("numOfMonths").value);
            fromDate.setMonth(fromDate.getMonth() + months);
            document.getElementById("toDate").value = fromDate.toISOString().slice(0, 10);
        }
    </script>
    <style>
        .logo {
            display: block;
            margin-left: auto;
            margin-right: auto;
            width: 50%; /* Adjust the width as needed */
            max-height:100px;
            max-width:100px;
        }
    </style>
</head>
<body class="container">
    <img src="./ktcl_logo.png" alt="Logo" class="logo">
    <h1 class="header">Bus Pass Form</h1>
    <!--
    <p class="header" style="text-decoration: underline; color: blue;">Instruction :</p>
    <p>All * marked fields are mandatory.<br>if you are existing user please check your prefilled data.</p>
    -->
    
    <h2 class="form-header header">Personal Details</h2>
    <form onsubmit="return validateForm()" action="submit_form.php" method="POST" enctype="multipart/form-data">
        <!--
        <div class="form-group row">
            <label class="col-sm-2 col-form-label">Which type of pass you want</label>
            <div class="col-sm-10">
                <input type="text" class="form-control-plaintext" readonly value="epass">
            </div>
        </div>
    -->
        <div class="form-group row">
            <div class="col">
                <label>Name*</label>
                <input type="text" name="name" class="form-control" required pattern="[A-Za-z ]+">
            </div>
            <div class="col">
                <label>Father Name*</label>
                <input type="text" name="fatherName" class="form-control" required pattern="[A-Za-z ]+">
            </div>
        </div>
        <div class="form-group row">
            <div class="col">
                <label>Date of Birth*</label>
                <input type="date" id="dob" name="dob" class="form-control" required onchange="calculateAge()">
            </div>
            <div class="col">
                <label>Age*</label>
                <input type="text" id="age" name="age" class="form-control" readonly required>
            </div>
            <div class="col">
                <label>Gender*</label>
                <select name="gender" class="form-control" required>
                    <option value="">Select</option>
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>
                    <option value="Other">Other</option>
                </select>
            </div>
        </div>
        <div class="form-group">
            <label>Communication Address*</label>
            <textarea name="address" class="form-control" rows="3" required></textarea>
        </div>
        <div class="form-group row">
            <div class="col">
                <label>City*</label>
                <input type="text" name="city" class="form-control" required>
            </div>
            <div class="col">
                <label>Pincode*</label>
                <input type="text" name="pincode" class="form-control" required pattern="\d{1,8}">
            </div>
            <div class="col">
                <label>Select Region*</label>
                <select name="region" class="form-control" required>
                    <option value="">Select</option>
                    <!-- Add your regions here -->
                </select>
            </div>
        </div>
        <div class="form-group row">
            <div class="col">
                <label>Email Address</label>
                <input type="email" name="email" class="form-control">
            </div>
            <div class="col">
                <label>Mobile Number</label>
                <input type="text" name="mobile" class="form-control" pattern="\d{10}">
            </div>
        </div>

        <h2 class="bus-pass-header header">Bus Pass Details</h2>
        <div class="form-group row">
            <div class="col">
                <label>Category of Bus Pass</label>
                <input type="text" name="category" class="form-control">
            </div>
            <div class="col">
                <label>Concessional Bus Pass Type</label>
                <input type="text" name="concessionalType" class="form-control">
            </div>
        </div>

        <div class="form-group row"> 
            <div class="col">
                <label for="from_stop">From Stop*</label>
                <select class="form-control" id="from_stop" name="from_stop" required>
                    <option value="">Select</option>
                    <!-- Add options as needed -->
                </select>
            </div>
            <div class="col">
                <label for="to_stop">To Stop*</label>
                <select class="form-control" id="to_stop" name="to_stop" required>
                    <option value="">Select</option>
                    <!-- Add options as needed -->
                </select>
            </div>
            <div class="col">
                <label for="route1">Route 1*</label>
                <select class="form-control" id="route1" name="route1" required>
                    <option value="">Select</option>
                    <!-- Add options as needed -->
                </select>
            </div>
            <div class="col">
                <label for="route2">Route 2*</label>
                <select class="form-control" id="route2" name="route2" required>
                    <option value="">Select</option>
                    <!-- Add options as needed -->
                </select>
            </div>
    </div>

        <div class="form-group row">
            <div class="col">
                <label>Proof Type of Address</label>
                <select name="proofAddressType" class="form-control">
                    <option value="">Select</option>
                    <!-- Add proof types here -->
                </select>
            </div>
            <div class="col">
                <label>Upload Proof of Address</label>
                <input type="file" name="proofAddress" class="form-control">
            </div>
        </div>
        <div class="form-group row">
            <div class="col">
                <label>Age Proof Type</label>
                <select name="proofAgeType" class="form-control">
                    <option value="">Select</option>
                    <!-- Add proof types here -->
                </select>
            </div>
            <div class="col">
                <label>Upload Proof of Age</label>
                <input type="file" name="proofAge" class="form-control">
            </div>
        </div>
        <div class="form-group row">
            <div class="col">
                <label>From Date</label>
                <input type="date" id="fromDate" name="fromDate" class="form-control" onchange="calculateToDate()">
            </div>
            <div class="col">
                <label>Select Number of Months</label>
                <select id="numOfMonths" name="numOfMonths" class="form-control" onchange="calculateToDate()">
                    <?php for ($i = 1; $i <= 12; $i++) echo "<option value='$i'>$i</option>"; ?>
                </select>
            </div>
            <div class="col">
                <label>To Date</label>
                <input type="text" id="toDate" name="toDate" class="form-control" readonly>
            </div>
        </div>
        <div class="form-group">
            <label>Photograph</label>
            <input type="file" name="photo" class="form-control" accept="image/*">
            <small class="form-text text-muted">Image should be between 20KB to 50KB.</small>
        </div>
        <div class="form-group">
            <label>Captcha</label>
            <!-- Implement captcha logic here -->
            <input type="text" name="captcha" class="form-control" required>
        </div>
        <button type="submit" class="btn btn-primary">Submit Application Form</button>
    </form>
</body>
</html>
